ListException (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.tomcat.dbcp.dbcp2

## Class ListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.dbcp.dbcp2.ListException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ListException
      extends java.lang.Exception

  An exception wrapping a list of exceptions.
  Since:
    2.4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListException​(java.lang.String message, java.util.List<java.lang.Throwable> exceptionList)` | Constructs a new exception with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.Throwable>` | `getExceptionList()` | Gets the list of exceptions.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListException

          public ListException​(java.lang.String message,
                               java.util.List<java.lang.Throwable> exceptionList)

      Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
        `exceptionList` - a list of exceptions.

  - ### Method Detail

    - #### getExceptionList

          public java.util.List<java.lang.Throwable> getExceptionList()

      Gets the list of exceptions.
      Returns:
        the list of exceptions.